Subject: bug#9810: cw in viper mode clobbers clipboard

From: Lennart Borgman <[email-masked]>
Date: Thu, 20 Oct 2011 23:03:34 +0200

On Thu, Oct 20, 2011 at 22:57, Bob Nnamtrop <[email-masked]> wrote:
> On Thu, Oct 20, 2011 at 12:46 PM, Stefan Monnier
> <[email-masked]> wrote:
>>> Right after you type 'cw' nothing in the buffer is erased. The word is
>>> hi-lighted but that is it. So it should not change any selection at
>>
>> That's what is supposed to happen now that select-active-regions
>> defaults to t.
>
> Playing around a bit more exposes more inconsistencies:
>
> -using the viper command R (viper-overwrite) hi-lights to the end of
> the line in a similar way as cw does to the end of the word but the
> primary selection is not clobbered. This is inconsistent to the
> behavior of cw (although better).

They actually work quite different. If you press ESC immediately after
R then nothing is changed in the buffer. However if you press escape
after cw then the word is still deleted.

So with respect to clipboard handling I think both are consistent and ok.

But maybe they do not behave the way vi does in this cases. (But that
is a totally different matter than this bug report.)